# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/protoc-c
# END SourceDeps(oneline)
Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global plugin_name hangouts

%global commit0 55b9f01d040b240b794700f44d9c21a6cb51251e
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global date 20210629

Name: purple-%{plugin_name}
Version: 0
Release: alt1_79.%{date}git%{shortcommit0}
Epoch: 1

License: GPLv3+
Summary: Hangouts plugin for libpurple
URL: https://github.com/EionRobb/%{name}
Source0: https://github.com/EionRobb/%{name}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz

BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(libprotobuf-c)
BuildRequires: pkgconfig(purple)
BuildRequires: pkgconfig(zlib)

BuildRequires: gcc
Source44: import.info

%package -n pidgin-%{plugin_name}
Group: Other
Summary: Adds pixmaps, icons and smileys for Hangouts protocol
BuildArch: noarch
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: pidgin

%description
Adds support for Hangouts to Pidgin, Adium, Finch and other libpurple
based messengers.

%description -n pidgin-%{plugin_name}
Adds pixmaps, icons and smileys for Hangouts protocol implemented by
hangouts-purple.

%prep
%setup -q -n %{name}-%{commit0}


# fix W: wrong-file-end-of-line-encoding
sed -i -e "s,\r,," README.md

%build

%make_build

%install
%makeinstall_std
chmod 755 %{buildroot}%{_libdir}/purple-2/lib%{plugin_name}.so

%files
%{_libdir}/purple-2/lib%{plugin_name}.so
%doc --no-dereference gpl3.txt
%doc README.md

%files -n pidgin-%{plugin_name}
%{_datadir}/pixmaps/pidgin/protocols/*/%{plugin_name}.png

%changelog
* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1:0-alt1_79.20210629git55b9f01
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1:0-alt1_78.20210629git55b9f01
- update to new release by fcimport

* Wed Dec 01 2021 Igor Vlasenko <viy@altlinux.org> 1:0-alt1_77.20210629git55b9f01
- update to new release by fcimport

* Tue Nov 02 2021 Igor Vlasenko <viy@altlinux.org> 1:0-alt1_76.20210629git55b9f01
- update to new release by fcimport

* Mon Oct 25 2021 Igor Vlasenko <viy@altlinux.org> 1:0-alt1_74.20200710gitefa7a53
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1:0-alt1_66.20190607hg3f7d89b
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 1:0-alt1_65.20190607hg3f7d89b
- new version

